%--------------------------------------------------------------------------
%                       LREM_SOLVE TOOLBOX
%--------------------------------------------------------------------------
%
% Schur decomposition
%   gsch_order          - reorder generalized Schur decomposition
%   gschur              - ordered generalized Schur decomposition
%   schur_ord           - generalized Schur decomposition satisfying growth
%                         restriction
% generalized Sylvester equation
%   gsylvester          - solves generalized Sylvester equation
%   gsylvester_schur    - used by gsylvester
%
% model solvers
%   linear2ss           - solves model of the form 0 = A y_t + B y_t+1 + C
%                           E_t{y_t+1} + V epsilon_t +W epsilon_t+1
%   lineareq            - finds all solutions to linear equation AX + B = 0
%   model_reduction     - reduces dimension of the problem AR = BRP
%   solve_deterministic - solves deterministic part of the model
%   solve_stochastic    - solves stochastic part of the model
%
% model dependent on parameters
%   gradient            - finds differentials of matrices forming solution
%                         with respect to parameters
%
% predefined state variables
%   state_check         - checks whether selected variables can be chosen as
%                         state variables
%   state_find          - finds whether some additional variable can be 
%                         chosen as state variables
%   state_set           - set chosen variables as state variables
%
% linear algebra
%   rank2               - computes rank of a triangular matrix
%   null2               - computes null space using qr or svd decomposition
%   putv                - transforms a matrix to [Abar; 0], where Abar has
%                         full row rank, using qr or svd decomposition
%
% demos
%   demo                - runs demonstration
%
%
% Copyright  (c) Pawel Kowal (2006)
% All rights reserved
% LREM_SOLVE toolbox is available free for noncommercial academic use only.
% pkowal3@sgh.waw.pl